- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Vst::CHostCanDo Class Reference

List of all members.

## Detailed Description

Stores information about what a host can do.

Date:
  15/02/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

  1.0.1 Converted to class, and split across files

  1.0.2 Made virtual functions non virtual.

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk Please note that VST is copyright Steinberg Media GmBh. No challenge is made to any of their trademarks To use this file, you require a copy of the VST SDK, available from www.steinberg.net for free

Id
  CHostCanDo.hpp,v 1.3 2007/02/08 21:08:23 paul Exp

Definition at line 35 of file CHostCanDo.hpp.

## Public Member Functions

- CHostCanDo ()
- CHostCanDo (AudioEffectX *theEffect)
- void initialise ()
- void setFromAudioEffectX (AudioEffectX *theEffect)
- virtual ~CHostCanDo ()

## Public Attributes

- bool m_acceptIOChanges
- bool m_asyncProcessing
- bool m_closeFileSelector
- bool m_editFile
- CString m_hostDeveloper
- CString m_hostName
- long m_hostVersion
- bool m_offline
- bool m_receiveVstMidiEvent
- bool m_receiveVstTimeInfo
- bool m_recieveVstEvents
- bool m_reportConnectionChanges
- bool m_sendVstEvents
- bool m_sendVstMidiEvent
- bool m_sendVstTimeInfo
- bool m_sizeWindow
- bool m_startStopProcess
- bool m_supplyIdle
- bool m_supportShell

## Constructor & Destructor Documentation

Exponent::Vst::CHostCanDo::CHostCanDo | ( | AudioEffectX * | theEffect | ) |

Construction (sets all values, assuming theEffect is valid)

Parameters:

  | theEffect | The effect to setup and store

Exponent::Vst::CHostCanDo::CHostCanDo | ( |  | ) |

Construction (just initialises)

virtual Exponent::Vst::CHostCanDo::~CHostCanDo | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

void Exponent::Vst::CHostCanDo::initialise | ( |  | ) |

Initialise the object

void Exponent::Vst::CHostCanDo::setFromAudioEffectX | ( | AudioEffectX * | theEffect | ) |

Set from audio effect

Parameters:

  | theEffect | The effect to setup and store

## Member Data Documentation

bool Exponent::Vst::CHostCanDo::m_acceptIOChanges

allows changes to the io setup

Definition at line 87 of file CHostCanDo.hpp.

bool Exponent::Vst::CHostCanDo::m_asyncProcessing

an process asynchronously (??)

Definition at line 89 of file CHostCanDo.hpp.

bool Exponent::Vst::CHostCanDo::m_closeFileSelector

Close any open file selectors

Definition at line 94 of file CHostCanDo.hpp.

bool Exponent::Vst::CHostCanDo::m_editFile

?

Definition at line 93 of file CHostCanDo.hpp.

CString Exponent::Vst::CHostCanDo::m_hostDeveloper

Name of the developer

Definition at line 97 of file CHostCanDo.hpp.

CString Exponent::Vst::CHostCanDo::m_hostName

Name of the host

Definition at line 96 of file CHostCanDo.hpp.

long Exponent::Vst::CHostCanDo::m_hostVersion

Version of the host

Definition at line 98 of file CHostCanDo.hpp.

bool Exponent::Vst::CHostCanDo::m_offline

can process offline

Definition at line 90 of file CHostCanDo.hpp.

bool Exponent::Vst::CHostCanDo::m_receiveVstMidiEvent

can recieve vst midi evnet

Definition at line 84 of file CHostCanDo.hpp.

bool Exponent::Vst::CHostCanDo::m_receiveVstTimeInfo

can recieve vst time info

Definition at line 85 of file CHostCanDo.hpp.

bool Exponent::Vst::CHostCanDo::m_recieveVstEvents

can recieve vst events

Definition at line 83 of file CHostCanDo.hpp.

bool Exponent::Vst::CHostCanDo::m_reportConnectionChanges

can report connection changes

Definition at line 86 of file CHostCanDo.hpp.

bool Exponent::Vst::CHostCanDo::m_sendVstEvents

Note:
  Okay so these public variables are technically breaking the
  Exponent coding rules! But hell, do we really need a gazilion
  accessor functions?
  If i do just one function where you have to pass in flags
  you may as well just use the default vst version Can send vst events

Definition at line 80 of file CHostCanDo.hpp.

bool Exponent::Vst::CHostCanDo::m_sendVstMidiEvent

can send vst midi event

Definition at line 81 of file CHostCanDo.hpp.

bool Exponent::Vst::CHostCanDo::m_sendVstTimeInfo

can send vst time info

Definition at line 82 of file CHostCanDo.hpp.

bool Exponent::Vst::CHostCanDo::m_sizeWindow

can resize the editor window

Definition at line 88 of file CHostCanDo.hpp.

bool Exponent::Vst::CHostCanDo::m_startStopProcess

?

Definition at line 95 of file CHostCanDo.hpp.

bool Exponent::Vst::CHostCanDo::m_supplyIdle

can supply idle (I thought all hosts could do this..)

Definition at line 91 of file CHostCanDo.hpp.

bool Exponent::Vst::CHostCanDo::m_supportShell

supports shell plugins

Definition at line 92 of file CHostCanDo.hpp.